Subject: bug#60160: installer: installing on a VPS

From: Attila Lendvai <[email-masked]>
Date: Sat, 17 Dec 2022 14:14:43 +0000

the menu based installer (1.4.0 RC2) cannot be used on some VPS-es
(e.g. https://1984.is) when:

1) there is no DHCP on the network, and therefore the network must be
configured manually, and

2) they provide only a WEB based console, where it is not possible to
send CTRL+ALT+Fn to switch virtual consoles.

what happens with the workflow is that it gets stuck in a deadend
where it checks for network upstream, fails, and the only option is to
press retry, i.e. a dead-end.

a suggested solution:

when the network check fails, then it should get back to a toplevel
menu where there's an option to start a shell, which when exited goes
back to the menu. another option in the menu is to try to continue to
checking network upstream again.

HTH,

- attila